Subject: bug#73840: [PATCH] Improved folding for citations

From: Paul Nelson <[email-masked]>
Date: Wed, 16 Oct 2024 21:59:54 +0200

Hi again,

I hope you're not too disappointed to hear that I only anticipate
three further tex-fold.el patches.  Anyway:

Citation macros \cite{...} are currently folded as [c].  This patch
gives more descriptive folding when possible, using author names and
publication years, like [Ne21] or [ABC99].  These are extracted from
any bib files referenced in the document or specified by a user
option.

QUESTION: the new code uses reftex and bibtex.  Are we allowed to just
require those in tex-fold.el?  I wasn't sure, since AUCTeX in general
seems careful about (require) statements.

Any feedback welcome.

Thanks, best,

Paul